<?php
/*
  This code is part of FusionDirectory (http://www.fusiondirectory.org/)

  Copyright (C) 2019-2020  FusionDirectory

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
*/

/*! \brief This class allows to display an object type
 */
class DisplayObjectTypeAttribute extends Attribute
{
  public function renderFormInput (): string
  {
    $value = $this->getValue();
    $infos = objects::infos($value);
    $text = htmlescape($infos['name']);

    if (isset($infos['icon'])) {
      $text = '<img alt="" title="'.htmlescape($infos['name']).'" src="'.htmlescape($infos['icon']).'" class="center"/>&nbsp;'.$text;
    }
    return '{literal}'.$text.'{/literal}';
  }
}
